Skip to content
Start here

Get Argo Smart Routing setting

client.argo.smartRouting.get(SmartRoutingGetParams { zone_id } params, RequestOptionsoptions?): SmartRoutingGetResponse { id, editable, value, modified_on }
GET/zones/{zone_id}/argo/smart_routing

Retrieves the value of Argo Smart Routing enablement setting.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Settings WriteZone Settings Read
ParametersExpand Collapse
params: SmartRoutingGetParams { zone_id }
zone_id: string

Specifies the zone associated with the API call.

maxLength32
ReturnsExpand Collapse
SmartRoutingGetResponse { id, editable, value, modified_on }
id: string

Specifies the identifier of the Argo Smart Routing setting.

editable: boolean

Specifies if the setting is editable.

value: "on" | "off"

Specifies the enablement value of Argo Smart Routing.

One of the following:
"on"
"off"
modified_on?: string

Specifies the time when the setting was last modified.

formatdate-time

Get Argo Smart Routing setting

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const smartRouting = await client.argo.smartRouting.get({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(smartRouting.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "editable": true,
    "value": "on",
    "modified_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "editable": true,
    "value": "on",
    "modified_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}